## b299d92cdd7d4badd8390fd0738dd52fdce0b5f6

=== Makefile ===
################################################################################
#	Master Makefile for TMS Sources
#				T.Barnaby,	BEAM Ltd,	2006-12-07
#				updated by	D.Korchagin,	CERN AB-BI-SW,	2007-08-31
################################################################################
#

TOP	= $(shell pwd)/..
include Config.mk

LDIRS	= beam libTms
SDIRS	= tmsExamples tmsControl
DDIRS	= 
ADIRS	= $(LDIRS) $(SDIRS) $(DDIRS)

# Build System Settings
ifeq ("$(BUILD)", "CLIENT")
SDIRS	+= system tmsSigGen tmsStateGen tmsControlGui tmsDevTest tmsTestData
DDIRS	+= datasrc
endif
ifeq ("$(BUILD)", "FULL")
LDIRS	+= admxrc
SDIRS	+= system tmsSigGen tmsStateGen tmsControlGui tmsDevTest tmsTestData
SDIRS	+= tmsServer tmsWeb
SDIRS	+= tmsWatchdog
SDIRS	+= tmsPuServer
DDIRS	+= datasrc
endif

SRC_LIB 	= tms/Readme tms/Makefile tms/Makefile.config tms/include tms/lib/$(CPU)
SRC_LIB 	+= tms/beam tms/libTms
SRC_LIB 	+= tms/tmsExamples tms/tmsControl
SRC_CLIENT	= $(SRC_LIB) tms/config tms/tmsSigGen tms/tmsStateGen
SRC_CLIENT	+= tms/tmsControlGui tms/tmsDevTest tms/datasrc tms/tmsTestData
SRC_MAIN	= $(SRC_CLIENT) tms/tmsPuServer tms/tmsServer tms/tmsWeb

SVNDIRS	= build $(LDIRS) $(SDIRS) $(DDIRS)
SVNROOT	= file:///src/cern/SVN/tms

.PHONY: all install clean includes
.PHONY: fresh checkout commit svnrelease svntag svnimport

all::	info
	@(for f in $(ADIRS); do if !(make -C $$f all); then break; fi; done)

${SDIRS}: ${LDIRS}


install:
	@for f in $(ADIRS); do if ! (make -C $$f install); then break; fi; done
	cp Makefile Config.mk $(DEST_DIR)/$(PREFIX)
	cp -a tmsExamples $(DEST_DIR)/$(PREFIX)
	 
clean:
	@(for f in $(ADIRS); do (make -C $$f clean); done)
	rm -f tms-*.tar.gz

clean-all: clean
	make -C libTms clean-all
	rm -fr include/* lib/* lib64/*

includes:
	@(for f in $(ADIRS); do (make -C $$f includes); done)

fresh:
	make clean includes all

buildFiles:
	cp $(CPFLAGS) Makefile Makefile.config tms.spec tms-client.spec Readme build

info:
	echo "Build: ${BUILD}"
	echo "Target: ${TARGET}"
	echo "Dist: ${DIST}"

################################################################################
#	RPM package builds
################################################################################
#

rpms:	tms.spec
	tar -czC .. -f ${RPM_DIR}/SOURCES/tms.tar.gz --exclude .svn tms
	rpmbuild --target=${ARCH} -ba -D "version $(VERSION)" -D "release $(RELEASE_RPM)" tms.spec 

rpmsInstall:
	cp ${RPM_DIR}/RPMS/${ARCH}/tms-*$(VERSION)-$(RELEASE_RPM).${ARCH}.rpm ${DIST_DIR}/${ARCH}/packages
	cp tms.repo ${DIST_DIR}
	cp tms.repo ${DIST_DIR}/${ARCH}/packages
	createrepo ${DIST_DIR}/${ARCH}
	

################################################################################
#	Source package builds
################################################################################
#
tms-main-src:
	tar -czf tms-main-src-$(VERSION).tar.gz --exclude .svn  -C .. ${SRC_MAIN}

tms-client-src:
	tar -czf tms-client-$(VERSION).tar.gz --exclude .svn -C .. ${SRC_CLIENT}

tms-lib-src:
	tar -czf tms-lib-src-$(VERSION).tar.gz --exclude .svn -C .. ${SRC_LIB}

svnSetup:
#	svnadmin create --fs-type fsfs /src/cern/SVN
#	svn mkdir -m "First import." $(SVNROOT) $(SVNROOT)/design $(SVNROOT)/releases

svnImportAll:
#	for f in $(SVNDIRS); do\
#		(echo Dir: $$f;\
#		svn mkdir -m "First import." $(SVNROOT)/$$f $(SVNROOT)/$$f/trunk $(SVNROOT)/$$f/tags $(SVNROOT)/$$f/branches;\
#		svn import -m "First import." $$f $(SVNROOT)/$$f/trunk); done;

svnImport:
	(dir="tmsWatchdog";\
		echo Dir: $$dir;\
		svn mkdir -m "First import." $(SVNROOT)/$$dir $(SVNROOT)/$$dir/trunk $(SVNROOT)/$$dir/tags $(SVNROOT)/$$dir/branches;\
		svn import -m "First import." $$dir $(SVNROOT)/$$dir/trunk );
		
svnCheckoutAll:
	for f in $(SVNDIRS); do (svn checkout $(SVNROOT)/$$f/trunk $$f); done;

svnList:
	svn list $(SVNROOT)

svnListReleases:
	svn list $(SVNROOT)/releases

svnCommit:
	for f in $(SVNDIRS); do (echo Dir: $$f; cd $$f; svn commit); done;

svnRelease:
	svn copy  -m "Release - $(VERSION)" $(SVNROOT)/trunk $(SVNROOT)/releases/release-${VERSION}

svnReleaseOld:
#	svn mkdir $(SVNROOT)/releases/release-$(VERSION) -m "Release"
#	for f in $(SVNDIRS); do (svn copy  -m "Release" $(SVNROOT)/$$f $(SVNROOT)/releases/release-${VERSION}); done;

svnDiff:
	for f in $(SVNDIRS); do (echo Dir: $$f; cd $$f; svn diff); done;

svnUpdate:
	for f in $(SVNDIRS); do (echo Dir: $$f; cd $$f; svn update); done;
	

################################################################################
#	Old
################################################################################
#
buildPackages:
	yum install glibc-devel.${ARCH} libgcc.${ARCH} libstdc++-devel.${ARCH} fftw-devel.${ARCH} pciutils-devel.${ARCH} qt3-devel.${ARCH}
	#yum install glibc-devel.i686 libgcc.i686 libstdc++-devel.i686 pciutils-devel.i686
	#yum install da8150

=== admxrc/Makefile ===
################################################################################
#	Makefile for Admxrc driver and library
#				T.Barnaby,	BEAM Ltd,	2017-11-30
################################################################################
#
TOP	= ..

include $(TOP)/Config.mk

VERSION 	= 4.3.0b3
#VERSION 	= 2.12.0beam

all::	libadmxrc2

clean:
	-make -C admxrc_drv-${VERSION}/api/modules/admxrc2/linux clean
	#-make -C admxrc_drv-${VERSION}/driver/monolithic/linux clean
	-make -C admxrc_drv-${VERSION}/driver/monolithic/linux clean
	find . \( -name "*.o" -o -name "*.a" -o -name "*.ko" \) -exec rm {} ';';

install: all
	
config:
	#(cd admxrc_drv-${VERSION}; ./configure)
	#(cd admxrc_drv-${VERSION}; ./configure -prefix $RPM_BUILD_ROOT -kver %{kernelVersion} -kernel /lib/modules/%{kernelVersion}/build)
	#(cd admxrc_drv-${VERSION}; ./configure -kver ${kernelVersion} -kernel /lib/modules/${kernelVersion}/build)
	(cd admxrc_drv-${VERSION}; ./configure -kver ${kernelVersion} -kernel ${srcDir}/kernel)

libadmxrc2:
	make -C admxrc_drv-${VERSION}/api/modules/admxrc2/linux all

libadmxrc2_install:
	#cp -a admxrc_drv-${VERSION}/include/* ${srcIncDir}
	cp -a admxrc_drv-${VERSION}/api/modules/admxrc2/linux/obj/libadmxrc2.a ${rootDir}/lib

driver:
	make -C admxrc_drv-${VERSION}/driver/monolithic/linux
	strip --strip-debug admxrc_drv-${VERSION}/driver/monolithic/linux/admxrc2.ko
	#xz admxrc_drv-${VERSION}/driver/monolithic/linux/admxrc2.ko

driver_install: driver
	#cp admxrc_drv-${VERSION}/driver/monolithic/linux/admxrc2.ko ../rootfs/lib/modules/${kernelVersion}
	cp admxrc_drv-${VERSION}/driver/monolithic/linux/admxrc2.ko ${rootDir}/lib/modules/${kernelVersion}

=== beam/Makefile ===
################################################################################
#	Makefile for beam library
#				T.Barnaby,	BEAM Ltd,	2007-02-22
#				updated by	D.Korchagin,	CERN AB-BI-SW,	2007-08-31
################################################################################
#

TOP	= ../..
include ../Config.mk

ifeq ("$(BUILD)", "FULL")
DIRS	= libBeam bidl boapns
else
DIRS	= libBeam
endif

all::
	@for f in $(DIRS); do if ! (make -C $$f all); then break; fi; done

install:
	@for f in $(DIRS); do if ! (make -C $$f install); then break; fi; done

clean:
	@(for f in $(DIRS); do (make -C $$f clean); done)
	@(for f in tests/*; do (make -C $$f clean); done)

=== datasrc/Makefile ===
################################################################################
#	Master Makefile for System Sources
#				T.Barnaby,	BEAM Ltd,	2007-02-21
################################################################################
#
TOP	= ../..
include ../Config.mk

all::	fpgaStateTables fpgaTestData

install:
	mkdir -p ${STATETABLEDIR}
	cp -a *.spt ${STATETABLEDIR}
	mkdir -p ${DATADIR}
	cp -a *.psd ${DATADIR}

clean:
	rm -f *.spt *.psd

fpgaStateTables:
	../tmsStateGen/tmsStateGen -t Beam1 -fd 0 Beam1_0_0.spt
	../tmsStateGen/tmsStateGen -t Beam2 -fd 0 Beam2_0_0.spt
	../tmsStateGen/tmsStateGen -t Beam3 -fd 0 Beam3_0_0.spt
	../tmsStateGen/tmsStateGen -t Beam3 -fd 0 -fref 416666 -name SigGenBeam3 -info "For TmsSigGen." SigGenBeam3_0_0.spt
	../tmsStateGen/tmsStateGen -t Test1 -fd 0 Test1_0_0.spt
	../tmsStateGen/tmsStateGen -t Beam3 -fd 0 -fref 437063 -phaseDelayAll 381 -name SimBeam3 -info "For simulated data." SimBeam3_0_0.spt
	../tmsStateGen/tmsStateGen -t Beam3Delay -fd 0 -fref 437063 -phaseDelayAll 381 -name SimBeam3-Delay -info "For simulated data with delay state." SimBeam3Delay_0_0.spt

fpgaTestData:
	../tmsSigGen/tmsSigGen -t Beam1 -s 125000000 -p 4 -b beam1-437000-8.psd
	../tmsSigGen/tmsSigGen -t Beam2 -s 125000000 -p 4 -b beam2-437000-8.psd
	../tmsSigGen/tmsSigGen -t Beam3 -s 125000000 -p 4 -b beam3-437000-8.psd

=== libTms/Makefile ===
################################################################################
#	Makefile
#		T.Barnaby,	BEAM Ltd,	2006-12-07
#				updated by	D.Korchagin,	CERN AB-BI-SW,	2007-08-31
################################################################################
#

TOP	= ../..
include ../Config.mk

%D.cc %D.h: %.idl
	$(BIDL) -m bdata $<

%C.cc %C.h: %.idl
	$(BIDL) $< 
    
%S.cc %S.h: %.idl
	$(BIDL) $< 

%T.cc %T.h: %.idl
	$(BIDL) $< 

BIDL		= ../beam/bidl/bidl

INCLUDES	= TmsD.h TmsC.h TmsS.h TmsLib.h SigGen.h TmsEventServerList.h TmsCycleParam.h
OBJS		= TmsD$(DARCH).o TmsC$(DARCH).o TmsS$(DARCH).o TmsLib$(DARCH).o SigGen$(DARCH).o TmsEventServerList$(DARCH).o TmsCycleParam$(DARCH).o

TESTPROGS	= test1 test2

# General
all::	libTms$(DARCH).a TmsD.cc TmsC.cc TmsS.cc TmsT.cc
	mkdir -p $(SRCINCDIR)
	cp -a $(CPFLAGS) $(INCLUDES) $(SRCINCDIR)
	mkdir -p $(SRCLIBDIR)
	cp -a libTms$(DARCH).a $(SRCLIBDIR)/libTms.a

install:
	mkdir -p $(INCDIR)
	cp -a $(INCLUDES) $(INCDIR)
	mkdir -p $(LIBDIR)
	cp -a libTms$(DARCH).a $(LIBDIR)/libTms.a

clean:
	rm -f *$(DARCH).o *$(DARCH).d *$(DARCH).a *.so $(TESTPROGS) bidl.i *.txt

clean-all:
	rm -f *$(DARCH).o *$(DARCH).a *.so $(TESTPROGS) Tms[DCST].h Tms[DCST].cc bidl.i

libTms$(DARCH).a:	$(OBJS)
	rm -f libTms$(DARCH).a
	ar cq libTms$(DARCH).a $(OBJS)

test1:	test1$(DARCH).o libTms$(DARCH).a
	$(LINK.cc) $(LDFLAGS) -o test1 test1$(DARCH).o libTms$(DARCH).a $(LDLIBS)

test2:	TmsCycleParam.cc
	$(LINK.cc) $(LDFLAGS) -o test2 $(CXXFLAGS) -DTESTBUILD TmsCycleParam.cc libTms$(DARCH).a $(LDLIBS)

# Dependancies
-include $(OBJS:.o=.d)

=== system/Makefile ===
################################################################################
#	Master Makefile for System Sources
#				T.Barnaby,	BEAM Ltd,	2007-02-21
################################################################################
#
TOP	= ../..
include ../Config.mk

all::

install:
	mkdir -p ${SYSETCDIR}/profile.d
	cp tms.sh ${SYSETCDIR}/profile.d
	mkdir -p ${CONFDIR}
	cp tms.menu ${CONFDIR}
ifeq ("$(BUILD)", "FULL")
	cp dhcpd.conf hosts ifcfg-eth1 named.conf resolv.conf ${CONFDIR}
	cp tmsnet.rev tmsnet.zone tmsInit tmsSetup tmsSetupModuleController ${CONFDIR}
	cp smb.conf tms.menu tmsRestart ${CONFDIR}
	mkdir -p ${BINDIR}
	cp tmsRestart ${BINDIR}
	cp tmsBackup ${BINDIR}
endif

clean:

=== tmsControl/Makefile ===
################################################################################
#	Makefile
#		T.Barnaby,	BEAM Ltd,	2007-02-13
#				updated by	D.Korchagin,	CERN AB-BI-SW,	2007-08-31
################################################################################
#

TOP	= ../..
include ../Config.mk

#DEBUGFLAGS	= -O2 -g -pg

LDLIBS		:= -lTms $(LDLIBS)

PROGS		= tmsControl$(DARCH)
OBJS		= tmsControl$(DARCH).o

# General
all::	${PROGS}

install:	all
	mkdir -p ${BINDIR}
	cp ${PROGS} ${BINDIR}

tmsControl$(DARCH):	$(OBJS)
	$(LINK.cc) $(LDFLAGS) -o tmsControl$(DARCH) $(OBJS) $(LDLIBS)

clean:
	rm -f *$(DARCH).o *$(DARCH).d *$(DARCH).a *.so *.mo  *.mo.cpp data.txt pupeSource?.txt $(PROGS)

# Dependancies
-include $(OBJS:.o=.d)

=== tmsControlGui-qt3/Makefile ===
################################################################################
#	Makefile
#		T.Barnaby,	BEAM Ltd,	2007-02-13
################################################################################
#
TOP	= ../..
include ../Config.mk

.SUFFIXES: .mo .ui

.h.mo:
	$(MOC) -o $@.cpp $<
	$(CXX) $(CXXFLAGS) -c -o $@ $@.cpp


#DEBUGFLAGS	= -O2 -g -pg
DEBUGFLAGS	= -O2 -g

MOC		= $(QTDIR)/bin/moc
CXXFLAGS	+= -I$(QTDIR)/include
LDLIBS		:= -lTms -lfftw3 $(LDLIBS)
LDLIBSGUI	= -L$(QTDIR)/lib -lqt-mt

PROGS		= tmsControlGui

OBJSGUI		= tmsControlGui.o 
OBJSGUI		+= Control.o Control.mo
OBJSGUI		+= Gui.o Gui.mo
OBJSGUI		+= AppGui.o AppGui.mo
OBJSGUI		+= tmsControlMainWin.o tmsControlMainWin.mo
OBJSGUI		+= ConfigureWin.o ConfigureWin.mo
OBJSGUI		+= StatusWin.o StatusWin.mo
OBJSGUI		+= TestWin.o TestWin.mo
OBJSGUI		+= BQComboBox.o BQComboBox.mo
OBJSGUI		+= ControlDataWin.o ControlDataWin.mo
OBJSGUI		+= PupeDiagnosticsWin.o PupeDiagnosticsWin.mo
OBJSGUI		+= StatisticsWin.o StatisticsWin.mo
OBJSGUI		+= OptionsWin.o OptionsWin.mo
OBJSGUI		+= PupeSimulateWin.o PupeSimulateWin.mo
OBJSGUI		+= PhaseTableWin.o PhaseTableWin.mo
OBJSGUI		+= TmsStateGui.o TmsStateGui.mo
OBJSGUI		+= Config.o
OBJSGUI		+= Debug.o
OBJSGUI		+= BGraph.o BGraph.mo
OBJSGUI		+= BGraphControls.o BGraphControls.mo
OBJSGUI		+= Globals.o 

# General
all::	${PROGS}

install:	all
	mkdir -p ${BINDIR}
	cp ${PROGS} ${BINDIR}
	mkdir -p $(DESKTOPDIR)
	cp tmsControlGui.desktop $(DESKTOPDIR)
	mkdir -p $(ICONSDIR)
	cp tmsControlGui.png $(ICONSDIR)

tmsControlGui:	$(HUIC) $(OBJSGUI) 
	$(CXX) $(LDFLAGS) -o tmsControlGui $(OBJSGUI) $(LDLIBS) $(LDLIBSGUI)

clean:
	rm -f *.o *.a *.so *.mo  *.mo.cpp data.txt pupeSource?.txt $(PROGS)

# Tests
bgraph: BGraph1.cpp BGraph1.mo
	$(CXX) $(CXXFLAGS) -DDEBUG_MAIN -c -o BGraph1.o BGraph1.cpp
	$(CXX) $(LDFLAGS) -o bgraph BGraph1.o BGraph1.mo $(LDLIBS) $(LDLIBSGUI)

# Dependancies
-include $(OBJS:.o=.d)

=== tmsControlGui/Makefile ===
################################################################################
#	Makefile
#		T.Barnaby,	BEAM Ltd,	2007-02-13
################################################################################
#
TOP	= ../..
include ../Config.mk

#DEBUGFLAGS	= -O2 -g -pg
#DEBUGFLAGS	= -O2 -g
#DEBUGFLAGS	= -O2

PROGS		= tmsControlGui

OBJSGUI		= Config.o
OBJSGUI		+= Debug.o
OBJSGUI		+= Globals.o 
OBJSGUI		+= BWidgets.o BWidgets_moc.o
OBJSGUI		+= AppGui.o AppGui_moc.o
OBJSGUI		+= ConfigureWin.o ConfigureWin_moc.o
OBJSGUI		+= StatusWin.o StatusWin_moc.o
OBJSGUI		+= BGraph.o BGraph_moc.o
OBJSGUI		+= BGraphControls.o BGraphControls_moc.o
OBJSGUI		+= BQComboBox.o BQComboBox_moc.o
OBJSGUI		+= ControlDataWin.o ControlDataWin_moc.o
OBJSGUI		+= TestWin.o TestWin_moc.o
OBJSGUI		+= Control.o Control_moc.o
OBJSGUI		+= StatisticsWin.o StatisticsWin_moc.o
OBJSGUI		+= OptionsWin.o OptionsWin_moc.o
OBJSGUI		+= PupeDiagnosticsWin.o PupeDiagnosticsWin_moc.o
OBJSGUI		+= PupeSimulateWin.o PupeSimulateWin_moc.o
OBJSGUI		+= TmsStateGui.o TmsStateGui_moc.o
OBJSGUI		+= PhaseTableWin.o PhaseTableWin_moc.o
OBJSGUI		+= Gui.o Gui_moc.o
OBJSGUI		+= tmsControlGui.o 
OBJSGUI		+= tmsControlMainWin.o tmsControlMainWin_moc.o

LDLIBS		:= -lTms -lfftw3 $(LDLIBS)


# General
all::	${PROGS}

install:	all
	mkdir -p ${BINDIR}
	cp ${PROGS} ${BINDIR}
	mkdir -p $(DESKTOPDIR)
	cp tmsControlGui.desktop $(DESKTOPDIR)
	mkdir -p $(ICONSDIR)
	cp tmsControlGui.png $(ICONSDIR)

tmsControlGui:	$(HUIC) $(OBJSGUI) 
	$(CXX) $(LDFLAGS) -o tmsControlGui $(OBJSGUI) $(LDLIBS) $(LDLIBS_GUI)

clean:
	rm -f *.o *.d *.a *.so *_moc.*  *_moc.o.cpp data.txt pupeSource?.txt $(PROGS)

# Tests
bgraph: BGraph1.cpp BGraph1_moc.o
	$(CXX) $(CXXFLAGS) -DDEBUG_MAIN -c -o BGraph1.o BGraph1.cpp
	$(CXX) $(LDFLAGS) -o bgraph BGraph1.o BGraph1_moc.o $(LDLIBS) $(LDLIBSGUI)

# Dependancies
-include $(OBJS:.o=.d)

=== tmsDevTest/Makefile ===
################################################################################
#	Makefile for TmsDevTest
#				T.Barnaby,	BEAM Ltd,	2007-05-21
################################################################################
#

all::

install:

clean:
	rm -fr *.txt

=== tmsExamples/Makefile ===
################################################################################
#	Makefile
#		T.Barnaby,	BEAM Ltd,	2007-02-07
# updated by	D.Korchagin,	CERN AB-BI-SW,	2007-08-31
################################################################################
#

TOP	= ../..
include ../Config.mk

CXXFLAGS	= -I../include -I../include/Beam
LDFLAGS 	+= -L../lib/$(CPU)
LDLIBS		+= -lTms

PROGS	= tmsDataClient1$(DARCH) tmsDataClient2$(DARCH)
PROGS	+= tmsControlClient1$(DARCH) tmsControlClient2$(DARCH) tmsControlClient3$(DARCH)

# General
all::	${PROGS}

install:	all

clean:
	rm -f *$(DARCH).o *$(DARCH).a *.so $(PROGS)

=== tmsPllSim/Makefile ===
################################################################################
#	Makefile	For tmsPllSim utility
#			T.Barnaby,	BEAM Ltd,	2007-05-11
################################################################################
#

TOP	= ../..
include ../Config.mk

# Main bits
VERSION 	= 0.1.0

PROGS		= tmsPllSim tmsBlrSim
OBJS1		= main.o Pll.o
OBJS2		= blr.o Blr.o
LDLIBS		:= -lTms $(LDLIBS)

#DEBUGFLAGS	= -g -pg
DEBUGFLAGS	= -O2 -g

.PHONY: dox

all::	$(PROGS)

clean:
	rm -f *.o *.mo *.mo.cpp *~ *.txt $(PROGS)

includes:

install:	includes all
	mkdir -p $(BINDIR)
	cp $(PROGS) $(BINDIR)

tmsPllSim:	$(OBJS1)
	$(CXX) $(LDFLAGS) -o tmsPllSim $(OBJS1) $(LDLIBS)

tmsBlrSim:	$(OBJS2)
	$(CXX) $(LDFLAGS) -o tmsBlrSim $(OBJS2) $(LDLIBS)

test:
	tmsPllSim

kst:
	kst -m 1 -y1 -y2 -y3 -y4 -y5 data.txt

# Dependancies
-include $(OBJS:.o=.d)

=== debian/changelog ===
tms (2.3-1) UNRELEASED; urgency=medium

  [ Terry Barnaby ]
  * Initial release
 -- Terry Barnaby <terry.barnaby@beam.ltd.uk>  Mon, 19 Aug 2024 00:00:00 +0000

=== package/debian/changelog ===
tms-mcsys (2.3-1) UNRELEASED; urgency=medium

  [ Terry Barnaby ]
  * Initial release
 -- Terry Barnaby <terry.barnaby@beam.ltd.uk>  Mon, 19 Aug 2024 00:00:00 +0000

=== debian/control ===
Source: tms
Maintainer: Beam <support@beam.ltd.uk>
Section: science
Priority: optional
Homepage: https://portal.beam.ltd.uk/support/cern

Package: tms
Architecture: amd64
Description: BEAM TMS System implements the trajectory measurement system for the
 CERN Proton Synchrotron. This is the common files package.

Package: tms-clients
Architecture: amd64
Description: BEAM and Alpha Data TMS System implements the trajectory measurement system for the
 CERN Proton Synchrotron. The TMS client applications are for test and control of the TMS system.
Depends: tms, python3

Package: tms-server
Architecture: amd64
Description: BEAM and Alpha Data TMS System implements the trajectory measurement system for the
 CERN Proton Synchrotron. The TMS server applications are the main operational system.
Depends: tms, python3

Package: tms-dev
Architecture: amd64
Description: BEAM TMS System implements the trajectory measurement system for the
 CERN Proton Synchrotron. This is the development package.
Depends: tms

Package: tms-doc
Architecture: all
Description: BEAM TMS System implements the trajectory measurement system for the
 CERN Proton Synchrotron. This is the documentation package.

=== package/debian/control ===
Source: tms-fpga
Maintainer: Beam <support@beam.ltd.uk>
Section: science
Priority: optional
Homepage: https://portal.beam.ltd.uk/support/cern

Package: tms-fpga
Architecture: all
Description: BEAM and Alpha Data TMS trajectory measurement system fpfa firmware
 This package contains the FPGA firmware for the FPGA's in the TMS system.

=== debian/rules ===
#!/usr/bin/make -f

VERSION = $(shell sed -n "s/^VERSION.*=\s*//p" Config.mk)
RELEASE = $(shell sed -n "s/^RELEASE.*=\s*//p" Config.mk)
PACKAGEVERSION = $(VERSION)-${RELEASE}
DEB_BUILD_OPTIONS=noddebs

%:
	dh $@

override_dh_auto_clean:
override_dh_auto_test:
override_dh_auto_build:
override_dh_auto_install:
	#make
	make install DEST_DIR=`pwd`/debian/tmp

override_dh_gencontrol:
	dh_gencontrol -- -v$(PACKAGEVERSION)

=== package/debian/rules ===
#!/usr/bin/make -f

VERSION = $(shell sed -n "s/^VERSION.*=\s*//p" Config.mk)
RELEASE = $(shell sed -n "s/^RELEASE.*=\s*//p" Config.mk)
PACKAGEVERSION = $(VERSION)-${RELEASE}
DEB_BUILD_OPTIONS=noddebs

%:
	dh $@

override_dh_auto_clean:
override_dh_auto_test:
override_dh_auto_build:
override_dh_auto_install:
	#make
	#make install DEST_DIR=`pwd`/debian/tmp
	mkdir -p `pwd`/debian/tmp
	tar -C `pwd`/debian/tmp -xf images/tms-mcsys-${VERSION}-${RELEASE}.tar.gz

override_dh_gencontrol:
	dh_gencontrol -- -v$(PACKAGEVERSION)
